1.0
1.0
get /v1/inquiries
Description
None
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | title optional | title Example : VM usage inquiry | string | None |
| query | state optional | state Example : CLOSED | string | None |
| query | inquiry_type optional | inquiry type Example : General Inquiry - Account and connection inquiry | string | None |
| query | region_id optional | region id Example : kr-west1 | string | None |
| query | created_at optional | created at Example : 2024-06-01T00:12:57.000000Z | any of [string, null] | None |
| query | filter_inquiry_codes optional | filter inquiry codes Example : FL01,FL02 | string | None |
| query | filter_states optional | filter states Example : TODO,INPROGRESS | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InquiryListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/inquiries
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = support 1.0"
Example HTTP response
Response 200
{
"count": 20,
"inquiries": [
{
"account_id": "2010571da2f7458e97c3b881b2362b72",
"closed_at": "2024-06-27T08:12:57.000000Z",
"contents": "VM usage inquiry",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"files": [
{
"file_name": "test.txt",
"id": "File-008ccb7ff65244689dacd605fafec92f",
"size": 298426
}
],
"id": "sr-240530-00028-nuri",
"inquiry_code": "G01",
"inquiry_type": "General Inquiry - Account and connection inquiry",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_id": "kr-west1",
"resource_name": "lb1",
"service_category": "Networking",
"service_item": "Load Balancer",
"state": "CLOSED",
"title": "VM usage inquiry"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}